package com.inkasso.factoring.common.enums;

/**
 * @Description:立项状态数据字典（说明：其他业务均可使用此定义的状态数据字典）
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年6月13日 上午10:20:22
 */
public enum ProjectInitiationStatusEnum {

    /** 处理中 **/
    PROCESSING("project_init_processing", "处理中"),
    /** 已完成 **/
    COMPLETED("project_init_completed", "已完成"),
    /** 已终止 **/
    TERMINATED("project_init_terminated", "已终止"),
    /** 已解除 **/
    CANCELLED("project_init_cancelled", "已解除");

    /** 编码 ***/
    private String code;
    /** 名称 **/
    private String cname;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCname() {
        return cname;
    }

    public void setCname(String cname) {
        this.cname = cname;
    }

    ProjectInitiationStatusEnum(String code, String cname){
        this.code = code;
        this.cname = cname;
    }

    public static ProjectInitiationStatusEnum getByCode(String code){
        for(ProjectInitiationStatusEnum ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }

}
